## hannah 1.0

=== Makefile ===
# Makefile for "Help Hannah's Horse"
# This Makefile kindly contributed by Eero Tamminen (Thanks Eero!)

# Install options
#
# For local install, comment the next line and uncomment the one after
DATA_INSTALL_DIR=/usr/local/games/hhh
#DATA_INSTALL_DIR=.

# Where the binary goes (you might want /usr/bin instead)
BIN_DIR=/usr/local/bin

# Where the hiscore table is saved: user's home dir/.hannah
#SCORE_DIR=${HOME}/.hannah
#SCORE_DIR=.


# compiler options
CXX       = g++
CPPFLAGS = $(shell sdl-config --cflags) -DDATA_INSTALL_DIR=\"${DATA_INSTALL_DIR}\" #-DSCORE_DIR=\"${SCORE_DIR}\"
CXXFLAGS   = -O2 -Wall -g
LIBS     = $(shell sdl-config --libs) -lSDL_image -lSDL_ttf -lSDL_mixer

# target binary and directory name
OUT = hhh
# source and object files
SRCS = $(wildcard *.cc)
OBJS = $(patsubst %.cc, %.o, $(SRCS))

# what to build
$(OUT): $(OBJS)
	$(CXX) $(CXXFLAGS) -o $(OUT) $(OBJS) $(LIBS)

# how to compile source code to object files
.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

# automatic dependencies
deps: $(SRCS)
	gcc $(CPPFLAGS) -MM $^ > deps

-include deps


install: hhh	
	install -m 0755 -s hhh $(BIN_DIR)
	install -d -D -m 0755 $(DATA_INSTALL_DIR)/hannah/default $(DATA_INSTALL_DIR)/hannah/die $(DATA_INSTALL_DIR)/hannah/invis $(DATA_INSTALL_DIR)/red/flash $(DATA_INSTALL_DIR)/red/default $(DATA_INSTALL_DIR)/pink/flash $(DATA_INSTALL_DIR)/pink/default $(DATA_INSTALL_DIR)/blue/default $(DATA_INSTALL_DIR)/blue/flash $(DATA_INSTALL_DIR)/images  $(DATA_INSTALL_DIR)/maps $(DATA_INSTALL_DIR)/sounds $(DATA_INSTALL_DIR)/carrot/default $(DATA_INSTALL_DIR)/stop/default $(DATA_INSTALL_DIR)/freeze/default $(DATA_INSTALL_DIR)/invis/default $(DATA_INSTALL_DIR)/invert/default 
	install -m 0755 hannah/default/* $(DATA_INSTALL_DIR)/hannah/default
	install -m 0755 hannah/die/* $(DATA_INSTALL_DIR)/hannah/die
	install -m 0755 hannah/invis/* $(DATA_INSTALL_DIR)/hannah/invis
	install -m 0755 red/default/* $(DATA_INSTALL_DIR)/red/default
	install -m 0755 red/flash/* $(DATA_INSTALL_DIR)/red/flash
	install -m 0755 pink/default/* $(DATA_INSTALL_DIR)/pink/default
	install -m 0755 pink/flash/* $(DATA_INSTALL_DIR)/pink/flash
	install -m 0755 blue/default/* $(DATA_INSTALL_DIR)/blue/default
	install -m 0755 blue/flash/* $(DATA_INSTALL_DIR)/blue/flash
	install -m 0755 carrot/default/* $(DATA_INSTALL_DIR)/carrot/default
	install -m 0755 freeze/default/* $(DATA_INSTALL_DIR)/freeze/default
	install -m 0755 invis/default/* $(DATA_INSTALL_DIR)/invis/default
	install -m 0755 invert/default/* $(DATA_INSTALL_DIR)/invert/default
	install -m 0755 sounds/* $(DATA_INSTALL_DIR)/sounds
	install -m 0755 images/* $(DATA_INSTALL_DIR)/images
	install -m 0755 maps/* $(DATA_INSTALL_DIR)/maps
	install -m 0755 *.ttf *.ogg  $(DATA_INSTALL_DIR)/
	#cp -p hiscore.dat $(SCORE_DIR)/


# package name and what to exclude from it
PKG_NAME = $(OUT)-$(shell date -I)
EXCLUDE = --exclude CVS --exclude "*.bak"

# rename source dir to pkg-dir, package, rename back
package: veryclean
	cd ..; \
	mv $(OUT) $(PKG_NAME); \
	tar -zcvf $(PKG_NAME).tar.gz $(EXCLUDE) $(PKG_NAME); \
	mv $(PKG_NAME) $(OUT)


# remove temporary files
clean:
	$(RM) *.o *~

# remove also the built binary
veryclean: clean
	$(RM) $(OUT)

# remove also sources
megaclean: veryclean
	$(RM) *.cc *.h

uninstall:
	rm -rf $(DATA_INSTALL_DIR) $(BIN_DIR)/hhh

love:
	@echo "Sorry, I'm not equipped for that"

war:
	@echo "Make love, not war!"

.PHONY:	install package clean veryclean megaclean love war uninstall

=== debian/changelog ===
hannah (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:25:33 +0100

hannah (1.0-3) unstable; urgency=medium

  * Move from dpatch to quilt.
  * Migrate to modern debhelper packaging.
  * Update Standards-Version to 3.9.6
    - No changes needed.
  * Explicitly set debian/source/format to 3.0 (quilt).
  * Moved to new copyright format.
  * Updated to debhelper compat 9.

 -- Margarita Manterola <marga@debian.org>  Sun, 07 Jun 2015 19:03:18 +0200

hannah (1.0-2) unstable; urgency=low

  * Corrected some lintian warnings:
    + Fixed a typo in the package description.
    + Added a description to the fix_score_dir patch.
    + Removed deprecated "Encoding" field from hannah.desktop
  * Updated Standards-Version to 3.8.0
    + Added README.source pointing to dpatch's README.source.gz

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Aug 2008 14:34:40 +0000

hannah (1.0-1) unstable; urgency=low

  * New upstream release.
    + Fixed licensing for font.ttf and subgamefont.ttf. Thanks to Stan and
      Ray for re-licensing their fonts under the OFL!!
      (Closes: #470079, #470082).
  * Moved "Homepage" to new control field, updated the URL.
  * Updated Standards-Version to 3.7.3.
    + Changed menu section from Games/Arcade to Games/Action

 -- Margarita Manterola <marga@debian.org>  Sun, 27 Apr 2008 03:46:37 +0000

hannah (0.2.d-1) unstable; urgency=low

  * New upstream release
  * Dropped the previous patches since upstream fixed the Makefile.
  * Added a patch to keep using /var/games/hannah/ as the SCOREDIR
  * Move data files to /usr/share/games/hannah instead of /usr/share/hannah

 -- Margarita Manterola <marga@debian.org>  Sun, 27 Apr 2008 03:45:55 +0000

hannah (0.2.a-2) unstable; urgency=low

  * Fixed rules and filenames so that menu and desktop files get installed.
    Thanks to Yann Dirson for reporting this. (Closes: #412288)

 -- Margarita Manterola <marga@debian.org>  Wed, 28 Feb 2007 12:59:46 -0300

hannah (0.2.a-1) unstable; urgency=low

  * Initial release (Closes: #405753)
  * Patched the sources so that they allow "EXTRA_CFLAGS".
  * Patched the sources so that they look for a DATADIR and SCOREDIR.
  * Wrote a manpage.
  * Added a .desktop file.

 -- Margarita Manterola <marga@debian.org>  Mon, 15 Jan 2007 10:55:01 -0300

=== debian/control ===
Source: hannah
Section: games
Priority: extra
Maintainer: Margarita Manterola <marga@debian.org>
Build-Depends: debhelper (>= 9),
               imagemagick,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               quilt
Standards-Version: 3.9.6
Homepage: http://www.retrojunkies.co.uk/index.php?page=game

Package: hannah
Architecture: any
Depends: hannah-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: pacman-like game, child oriented
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are also
 carrots which Hannah must also collect in order to complete the level.

Package: hannah-data
Architecture: all
Depends: ${misc:Depends}
Description: pacman-like game, child oriented - data files
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are
 also carrots which Hannah must also collect in order to complete the level.
 .
 This package contains the data files for the game.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) DATA_INSTALL_DIR=/usr/share/games/hannah/ \
	    SCOREDIR=/var/games/hannah/ CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" \
	    LDFLAGS="$(LDFLAGS)"

override_dh_auto_build-indep:
	# Avoid building the package for hannah-data
	:

override_dh_auto_clean:
	rm -f *.o hhh

override_dh_auto_install-arch:
	# dh_install cannot rename files
	cp $(CURDIR)/hhh $(CURDIR)/debian/hannah/usr/games/hannah

override_dh_auto_install-indep:
	# Transform the png into an xpm icon
	convert $(CURDIR)/hannah/default/hannah_down1.png $(CURDIR)/debian/hannah-data/usr/share/pixmaps/hannah.xpm

override_dh_fixperms-indep:
	dh_fixperms
	# Fix /var/games/hannah/hiscore.dat permissions
	chgrp games $(CURDIR)/debian/hannah-data/var/games/hannah/hiscore.dat
	chmod 664 $(CURDIR)/debian/hannah-data/var/games/hannah/hiscore.dat

override_dh_fixperms-arch:
	dh_fixperms
	# Make sure the binary belongs to the "games" group and set-gid it.
	chgrp games $(CURDIR)/debian/hannah/usr/games/hannah
	chmod 2755 $(CURDIR)/debian/hannah/usr/games/hannah

=== debian/watch ===
version=3
http://sf.net/hannah/hhh-(.*)\.tar\.gz

## hannah 2.0.1+ds1

=== debian/changelog ===
hannah (2.0.1+ds1-1) unstable; urgency=medium

  * Salvage games inside Games Team (Closes: #1124577)
  * Tweak watchfile
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

  [ Simon McVittie ]
  * Remove patch that tried to use /var/games/hannah
  * d/rules: Don't make the executable setgid games (Closes: #1124314)
  * d/rules: Use the correct --bindir
  * d/gbp.conf: Add
  * d/rules: Use DEB_CPPFLAGS_MAINT_APPEND instead of DEB_CPPFLAGS_APPEND.
    Thanks to Lintian
  * d/rules: Use the upstream `make install` in the conventional way

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Jan 2026 19:15:25 +0100

hannah (2.0.1+ds1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * refresh upstream copyright year as seen inside the game
  * allow cross-building (Closes: #1063394)
  * clean more (Closes: #1044187)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Feb 2024 20:48:43 +0100

hannah (2.0.1+ds1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install data in expected location.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Dec 2023 03:19:50 +0100

hannah (2.0.1+ds1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream version 2.0.1
  * build with SDL2 (Closes: #1038454)
  * fix homepage URL (Closes: #787934, #799547)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Add Vcs-* field
  * d/watch: Use https protocol

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Dec 2023 01:30:41 +0100

hannah (1.0-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #901260)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 06 Oct 2022 17:14:03 -0700

hannah (1.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Sort source files so that objects are linked in deterministic order
    (Closes: #845782)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 06 Oct 2022 16:48:01 -0700

=== debian/control ===
Source: hannah
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Margarita Manterola <marga@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://retrojunkies.co.uk/welsh/home/index/91
# https://libregamewiki.org/Help_Hannah's_Horse
Vcs-Browser: https://salsa.debian.org/debian/hannah
Vcs-Git: https://salsa.debian.org/debian/hannah.git

Package: hannah
Architecture: any
Depends:
 hannah-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: pacman-like game, child oriented
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are also
 carrots which Hannah must also collect in order to complete the level.

Package: hannah-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: pacman-like game, child oriented - data files
 Help Hannah's Horse is like a cross between Pacman and the Dizzy game
 "Fastfood". The objective is to move Hannah to collect the pills around
 the maze while avoiding the ghosts. Moving around the maze there are
 also carrots which Hannah must also collect in order to complete the level.
 .
 This package contains the data files for the game.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_CPPFLAGS_MAINT_APPEND = $(shell $(PKG_CONFIG) sdl2 --cflags)

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datarootdir=/usr/share/games/

execute_after_dh_auto_install-indep:
	convert resources/ico.bmp debian/hannah-data/usr/share/pixmaps/hannah.png

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack" \
  https://sf.net/hannah/hannah-(.*)\.tar\.gz
